Subject: P1394> Re: 1394 PWG Profile rev 0.1c

From: "Eric Anderson" <[email-masked]>
Date: 23 Jan 98 00:18:13 -0800

>      Here is the latest revision of the profile that we began
>      reviewing in LA.

I think I can clear up part of this issue:

> 11.1 Issues
> Microsoft has implemented their SBP-2 driver to do a login on
> powerup and not logout until the PC is shut down. Though this is
> provided for within the SBP-2 specification, it requires devices
> which may be shared among multiple PCs to support multiple logins
> to a single service, even if the service cannot be simultaneously
> used by the different PCs.
>
> Can imaging devices (which want to take advantage of the shared
> nature of 1394) tolerate the resource requirements to operate on
> a multiple Microsoft O/S host configuration?

I spoke with Microsoft about this.  The explanation is that their
SBP-2 driver at present only works with disk drives.  (More
precisely, it is only designed to support disk drives)  Windows
is not designed to share disk drives on 1394, so the login is
automatic.  This will make life difficult for users with multiple
Windows machines and at least one disk on their 1394 bus.

I guess if you hot-plug a disk drive and the "wrong" Windows
machine logs in to it first, you can just unplug the disk, wait
2 seconds for a login timeout, and then try again.  That should
be lots of fun.

But, Microsoft says that their treatment of printers will be
different.  They will only login to printers and other shared
devices when they actually want to use the printer.  So a printer
with only one login could be shared by several Windows systems.
Apple plans to do the same thing for printers using SBP-2.

It is unfortunate that nobody from Microsoft seems to want to
participate in this discussion.  You can write to them at
[email-masked] if you have questions.

Eric Anderson
FireWire Software
Apple Computer, Inc.
[email-masked]
408-974-8187

---

From: Brian Batchelder <[email-masked]>
Date: Fri, 23 Jan 1998 09:12:11 -0800

>Windows machines and at least one disk on their 1394 bus.

Do disk drives support multiple logins?  Even if they do, there would
certainly be some sort of limit which would eventually be hit.

>2 seconds for a login timeout, and then try again.  That should

Yup.  I think a lot of us have convinced ourselves that "networking" would
be quite prevalent on 1394 busses, as 1394 will be "free" on new PCs and
TCP/IP will be available in the O/S.  However, if you can't boot up more
than one PC per bus, you'll have a pretty boring network!

>Apple plans to do the same thing for printers using SBP-2.

Will they logout after printing?  I think printer manufacturers will have
to assume that not all devices will logout, meaning that printers targeted
at anything other than a point-to-point environment will have to support
more than one login.  I don't understand the resources required for each
login.  We need to do that analysis before deciding upon a multi-login
model for printing.

>[email-masked] if you have questions.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Brian Batchelder      | Hewlett-Packard      | mailto:[email-masked]  
Connectivity Futurist | 1115 SE 164th Ave.   | Phone: (360) 212-4107  
DeskJet Printers      | Vancouver, WA  98684 | Fax:   (360) 212-4227